Commit 0af22fd3 authored by Edward Z. Yang's avatar Edward Z. Yang
Browse files

Add extra network dependency to make sure dep solver gets it right.


Signed-off-by: default avatarEdward Z. Yang <ezyang@cs.stanford.edu>
parent 3bee0545
......@@ -147,8 +147,11 @@ executable cabal
build-depends: directory >= 1.2 && < 1.3,
process >= 1.1.0.2 && < 1.3
-- NOTE: you MUST include the network dependency even when network-uri
-- is pulled in, otherwise the constraint solver doesn't have enough
-- information
if flag(network-uri)
build-depends: network-uri >= 2.6
build-depends: network-uri >= 2.6, network >= 2.6
else
build-depends: network >= 2.0 && < 2.6
......@@ -200,7 +203,7 @@ Test-Suite unit-tests
QuickCheck >= 2.5
if flag(network-uri)
build-depends: network-uri >= 2.6
build-depends: network-uri >= 2.6, network >= 2.6
else
build-depends: network < 2.6
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment